# WorldGuardShopFlag (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.external

## Class WorldGuardShopFlag

- java.lang.Object
- - de.epiceric.shopchest.external.WorldGuardShopFlag

    public class WorldGuardShopFlag
    extends Object

### Field Summary

Fields
`static com.sk89q.worldguard.protection.flags.StateFlag` `CREATE_SHOP`
`static com.sk89q.worldguard.protection.flags.StateFlag` `USE_ADMIN_SHOP`
`static com.sk89q.worldguard.protection.flags.StateFlag` `USE_SHOP`

### Constructor Summary

Constructors
Constructor and Description
`WorldGuardShopFlag()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isLoaded()`
`static void` `register(ShopChest plugin, boolean onLoad)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CREATE_SHOP

    public static final com.sk89q.worldguard.protection.flags.StateFlag CREATE_SHOP

#### USE_SHOP

    public static final com.sk89q.worldguard.protection.flags.StateFlag USE_SHOP

#### USE_ADMIN_SHOP

    public static final com.sk89q.worldguard.protection.flags.StateFlag USE_ADMIN_SHOP

### Constructor Detail

#### WorldGuardShopFlag

    public WorldGuardShopFlag()

### Method Detail

#### isLoaded

    public static boolean isLoaded()

#### register

    public static void register(ShopChest plugin,
                                boolean onLoad)